org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class IpcSharedMemoryOutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryOutputStream(IpcSharedMemorySpace out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `forceClose()` Forcibly closes spaces and frees all system resources.
`String` `toString()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryOutputStream

    public IpcSharedMemoryOutputStream(IpcSharedMemorySpace out)

Parameters:
  `out` - Space.

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

#### forceClose

    public void forceClose()

Forcibly closes spaces and frees all system resources.

This method should be called with caution as it may result to the other-party process crash. It is intended to call when there was an IO error during handshake and other party has not yet attached to the space.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020